#pragma once
#include "node_border.h"
#include "node_button.h"
#include "node_combobox.h"
#include "node_text.h"

class NodeDialogResize : public NodeBorder
{
public:
    NodeButton* btn_cancel;
    NodeButton* btn_ok;
    NodeComboBox* combo;
    NodeText* text;
    int resolution;
    virtual Node* clone_instantiate() const override;
    virtual void clone_finalize(Node* dest) const override;
    virtual void init() override;
    void init_controls();
    virtual void loaded() override;
    int get_resolution();
};
